# Let's Git this Party Started!
### Mar 27th, 2019 - Mark Bennett

### Abstract:
If you're new to [Git](https://git-scm.com/) and [Github](https://github.com/), this is the talk for you. Github and Git help you share your work with the world, and benefit from the work of others.

We'll explore what Github and Git are, why you'd use them, and cover setting up your Github account and managing some of the basics. At the end of this session, you'll have enough information to check out projects or data from Github, get support and contribute back to your favourite projects, and to start on your journey to mastering Git and Github.

Prior knowledge of Git or version control is not required, but will certainly help getting the most from this talk.

### Speaker Bio:
My name is [Mark Bennett](https://markbennett.ca/). I'm with [Burmis Studio](http://burmis.ca/), a local software development and project management firm here in Edmonton. I've been developing software since back in the Commodore 64 days of the 80s. A lot has changed since then, but I'm still passionate about software, and about sharing that excitement with others through groups like [Dev Edmonton](https://devedmonton.com/) and ]Exchange.js](https://www.exchangejs.com/).

# Resources
The slides for the talk are in [PDF](LetsGitThisPartyStarted.pdf) or [Google Doc](https://docs.google.com/presentation/d/107_7pw-dCppIuQaPz9x-rUCECFaq-VWmgl2IDBxILbo/edit?usp=sharing) format.  The Git repo used for the demos can be found [here](https://github.com/MarkBennett/lets-git-this-party-started-demo).

# Sponsors
Thanks to our yearly sponsors [Process Solutions](https://www.pscl.com/) and [JetBrains](https://www.jetbrains.com/).  Your support is much appreacted.

# Contributing to EDMUG
Interested in helping build the EDMUG community?  Great!  There are several ways you can help:

- attend our [monthly meetups](https://www.meetup.com/Edmonton-NET-User-Group/).
- become a yearly sponsor or sponsor a specific meetup.
- voluneter to present at an [upcoming meetup](https://www.meetup.com/Edmonton-NET-User-Group).
- open an [issue](https://github.com/edmug/Meetup-2019-04-30/issues) or [pull request](https://github.com/edmug/Meetup-2019-04-30/pulls) if you have a question, notice a bug, or have a enhancement for this presentation.

We can be reached on [GitHub](https://github.com/edmug), [Meetup](https://www.meetup.com/Edmonton-NET-User-Group/), [LinkedIn](https://www.linkedin.com/groups/667117/), [Facebook](https://www.facebook.com/groups/2608240324), [Twitter](https://twitter.com/yegdotnet), [Dev Edmonton](https://devedmonton.com/) Slack, or by old fashioned e-mail at info@edmug.net.
